@charset "UTF-8";
/* ====================
  レスポンシブ設定
====================*/
/* ====================
  フォント設定
====================*/
@import url("https://fonts.googleapis.com/css2?family=Noto+Serif+JP:wght@300;400;500&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Shippori+Mincho:wght@400;700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Shadows+Into+Light&display=swap");
/* ====================
  変数設定
====================*/
/* ====================
  基本設定
====================*/
html {
  height: 100%;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  font-size: medium;
  line-height: 1.5;
  font-family: 'Noto Serif JP', '游ゴシック', 'Yu Gothic', '游ゴシック体', 'YuGothic', 'ヒラギノ角ゴ Pro W3', 'Hiragino Kaku Gothic Pro', 'Meiryo UI', 'メイリオ', Meiryo, serif;
  letter-spacing: .1em;
  scroll-behavior: smooth;
}

html *, html *::after, html *::before {
  -webkit-box-sizing: inherit;
          box-sizing: inherit;
}

body {
  height: 100%;
  color: #333;
}

img {
  max-width: 100%;
  height: auto;
  vertical-align: baseline;
}

a {
  text-decoration: none;
  color: #666;
}

a:hover {
  color: #999;
}

/* ====================
  共通設定
====================*/
.l-centering {
  max-width: 1160px;
  width: 95%;
  margin: 0 auto;
}

.l-flex {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
}

.l-block {
  font: inherit;
  display: inline-block;
}

/* ====================
  スクロールしてフェードイン
====================*/
/*アニメーション要素のスタイル*/
.animation {
  opacity: 0;
  visibility: hidden;
  -webkit-transition: 1s;
  transition: 1s;
  -webkit-transform: translateY(20%);
          transform: translateY(20%);
}

/*アニメーション要素までスクロールした時のスタイル*/
.active {
  opacity: 1;
  visibility: visible;
  -webkit-transform: translateY(0);
          transform: translateY(0);
}

/* ====================
  アクセシビリティ
====================*/
.screen-reader-text {
  position: absolute;
  overflow: hidden;
  clip: rect(1px, 1px, 1px, 1px);
  width: 1px;
  height: 1px;
}

/* ====================
  商品ページ共通
====================*/
/* - - - - - - - - - -
  下層ページのヒーロー
*/
.flowers .under-hero.flowers-hero {
  background-image: url(../img/flowers/u-flowers-hero.jpg);
  background-image: image-set(url(../img/flowers/u-flowers-hero.jpg) 1x, url(../img/flowers/u-flowers-hero@2x.jpg) 2x);
  background-image: -webkit-image-set(url(../img/flowers/u-flowers-hero.jpg) 1x, url(../img/flowers/u-flowers-hero@2x.jpg) 2x);
  background-position: center;
}

.flowers.seasonal .l-main .l-centering,
.flowers.preserved .l-main .l-centering,
.flowers.soap .l-main .l-centering {
  max-width: 880px;
}

.flowers.seasonal figure img,
.flowers.preserved figure img,
.flowers.soap figure img {
  width: 50%;
}

.flowers .en-small {
  font-size: .5em;
  color: #999;
  display: block;
  margin-top: 1em;
}

@media screen and (min-width: 768px) {
  .flowers .en-small {
    display: inline-block;
    margin-left: 2em;
  }
}

/* ===== min-width: $tab ===== */
.flowers .price {
  margin: 0 auto;
  margin-top: -2em;
  width: 6em;
  line-height: 2em;
  background-image: -webkit-gradient(linear, left bottom, left top, color-stop(20%, rgba(251, 176, 59, 0.4)), color-stop(20%, transparent));
  background-image: linear-gradient(to top, rgba(251, 176, 59, 0.4) 20%, transparent 20%);
  background-repeat: no-repeat;
  font-size: .75em;
}

@media screen and (min-width: 768px) {
  .flowers .price {
    margin-left: 0;
    margin-right: auto;
  }
  .flowers .l-arrange-card:nth-of-type(even) .price {
    margin-left: auto;
    margin-right: 0;
  }
}

/* ===== min-width: $tab ===== */
@media screen and (min-width: 1024px) {
  .flowers .l-arrange-card:nth-of-type(even) .price {
    margin-left: 0;
    margin-right: auto;
  }
}

/* ===== min-width: $pc ===== */
.flowers .l-contents-wrap {
  margin-bottom: 8em;
}

/* ====================
    個別設定
====================*/
.flowers.goods .l-main h1 {
  width: 80%;
  max-width: 6em;
}

.flowers.goods .l-main h2 {
  font-family: "Shippori Mincho", serif;
  font-size: 1.25em;
  padding-bottom: .5em;
  border-bottom: 2px dotted #ccc;
  margin-bottom: 2em;
}

.flowers.goods .l-main .goods-price {
  text-align: end;
  background-image: -webkit-gradient(linear, left bottom, left top, color-stop(20%, rgba(251, 176, 59, 0.4)), color-stop(20%, transparent));
  background-image: linear-gradient(to top, rgba(251, 176, 59, 0.4) 20%, transparent 20%);
  background-repeat: no-repeat;
  font-size: .75em;
}

.flowers.goods .l-main section {
  margin-bottom: 5em;
}
